> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.velocity.shop/llms.txt
> Use this file to discover all available pages before exploring further.

# List commissions



## OpenAPI

````yaml /openapi.yaml get /commissions/
openapi: 3.0.3
info:
  title: Velocity Merchant API
  version: 1.0.0
servers:
  - url: https://api.velocity.shop
security: []
paths:
  /commissions/:
    get:
      tags:
        - Commissions
      summary: List commissions
      operationId: commissions_list
      parameters:
        - in: query
          name: category_ids
          schema:
            type: string
          description: Filter results by a comma-separated list of category IDs.
        - in: query
          name: include_unrealized
          schema:
            type: boolean
            default: false
          description: Include commissions that are not yet realized.
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: order_end_datetime
          schema:
            type: string
            format: date-time
          description: >-
            Only include commissions for orders processed at or before this
            time.
        - in: query
          name: order_id
          schema:
            type: string
            format: uuid
          description: Filter results by an order ID.
        - in: query
          name: order_shopify_ids
          schema:
            type: string
          description: >-
            Filter results by a comma-separated list of Shopify order IDs (e.g.,
            `6417313005602`).
        - in: query
          name: order_start_datetime
          schema:
            type: string
            format: date-time
          description: Only include commissions for orders processed at or after this time.
        - in: query
          name: origins
          schema:
            type: array
            items:
              type: string
              enum:
                - manual
                - override
                - ownership
                - rep_override
                - team
          description: Filter results by a comma-separated list of origins.
          explode: false
        - in: query
          name: realization_events
          schema:
            type: array
            items:
              type: string
              enum:
                - order_placed
                - refund
                - terms_payment
          description: Filter results by a comma-separated list of realization events.
          explode: false
        - in: query
          name: realized_end_datetime
          schema:
            type: string
            format: date-time
          description: Only include commissions realized at or before this time.
        - in: query
          name: realized_start_datetime
          schema:
            type: string
            format: date-time
          description: Only include commissions realized at or after this time.
        - in: query
          name: rep_ids
          schema:
            type: string
          description: Filter results by a comma-separated list of rep IDs.
      responses:
        '200':
          headers:
            X-Total-Count:
              schema:
                type: integer
              description: The total number of results across all pages.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCommissionList'
          description: ''
      security:
        - merchantApiToken: []
components:
  schemas:
    PaginatedCommissionList:
      type: array
      items:
        $ref: '#/components/schemas/Commission'
    Commission:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
        currency_code:
          type: string
          maxLength: 3
          minLength: 3
        id:
          type: string
          format: uuid
          readOnly: true
        level:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        modified:
          type: string
          format: date-time
          readOnly: true
        order_id:
          type: string
          format: uuid
        order_shopify_id:
          type: integer
          readOnly: true
        order_shopify_po_number:
          type: string
          readOnly: true
          nullable: true
        order_name:
          type: string
          readOnly: true
        order_processed_at:
          type: string
          format: date-time
          readOnly: true
        order_customer_name:
          type: string
          readOnly: true
          nullable: true
        order_company_name:
          type: string
          readOnly: true
          nullable: true
        order_company_location_name:
          type: string
          readOnly: true
          nullable: true
        order_total_price_amount:
          type: string
          readOnly: true
          nullable: true
        order_total_price_currency_code:
          type: string
          readOnly: true
          nullable: true
        order_responsible_service_rep_name:
          type: string
          readOnly: true
          nullable: true
        origin:
          allOf:
            - $ref: '#/components/schemas/OriginEnum'
          readOnly: true
        realized_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        realization_event:
          allOf:
            - $ref: '#/components/schemas/RealizationEventEnum'
          readOnly: true
        service_category_id:
          type: string
          format: uuid
        service_category_is_archived:
          type: boolean
          readOnly: true
        service_category_name:
          type: string
          readOnly: true
        service_rep_id:
          type: string
          format: uuid
        service_rep_name:
          type: string
          readOnly: true
      required:
        - amount
        - currency_code
        - id
        - level
        - modified
        - order_company_location_name
        - order_company_name
        - order_customer_name
        - order_id
        - order_name
        - order_processed_at
        - order_responsible_service_rep_name
        - order_shopify_id
        - order_shopify_po_number
        - order_total_price_amount
        - order_total_price_currency_code
        - origin
        - realization_event
        - realized_at
        - service_category_id
        - service_category_is_archived
        - service_category_name
        - service_rep_id
        - service_rep_name
    OriginEnum:
      enum:
        - team
        - override
        - ownership
        - rep_override
        - manual
      type: string
      description: |-
        * `team` - Team
        * `override` - Override
        * `ownership` - Ownership
        * `rep_override` - Rep Override
        * `manual` - Manual
    RealizationEventEnum:
      enum:
        - order_placed
        - refund
        - terms_payment
      type: string
      description: |-
        * `order_placed` - Order Placed
        * `refund` - Refund
        * `terms_payment` - Terms Payment
  securitySchemes:
    merchantApiToken:
      type: http
      scheme: bearer

````